Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_Thread.cpp File Reference

`#include "ace/OS_NS_Thread.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/Sched_Params.h"`
`#include "ace/OS_Memory.h"`
`#include "ace/OS_Thread_Adapter.h"`
`#include "ace/Min_Max.h"`
`#include "ace/Object_Manager_Base.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_NS_ctype.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Condition_T.h"`
`#include "ace/Guard_T.h"`

Include dependency graph for OS_NS_Thread.cpp:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_TSS_Cleanup
| Singleton that helps to manage the lifetime of TSS objects and keys. More...
class | TSS_Cleanup_Instance
## Defines
#define | ACE_THREAD_FUNCTION thread_args->entry_point ()
#define | ACE_THREAD_ARGUMENT thread_args
## Functions
| destructor_ (dest)
| thread_count_ (-1)
void | ACE_TSS_Cleanup_keys_destroyer (void *tss_keys)

## Define Documentation

#define ACE_THREAD_ARGUMENT thread_args

#define ACE_THREAD_FUNCTION thread_args->entry_point ()

## Function Documentation

void ACE_TSS_Cleanup_keys_destroyer | ( | void * | tss_keys | ) |

destructor_ | ( | dest |  | ) |

thread_count_ | ( | - | 1 | ) |